cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>' \
--header 'BLINK-API-KEY: <api-key>'
import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"results": {},
"total": 123
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Case Management
List Records from Case Management Table
API endpoint to list records from a case management table in Blink.
GET
/
workspace
/
{ws_id}
/
case_management
/
table
/
{table}
cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>' \
--header 'BLINK-API-KEY: <api-key>'
import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}?q=<q>")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"results": {},
"total": 123
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Query Parameters
Was this page helpful?